package cmd

import (
	"go.jolheiser.com/gpm/config"

	"github.com/urfave/cli/v2"
)

func NewFlags(cfg *config.Config) []cli.Flag {
	return []cli.Flag{
		&cli.StringFlag{
			Name:    "url",
			Aliases: []string{"u"},
			Usage:   "gpm server to use",
			Value:   cfg.GPMURL,
		},
	}
}
